/*MISC*/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/*GLOBAL*/

body {
    padding-top: 60px;
    padding-bottom: 70px;
    background-color: #fff;
    font-size: 12px;
}

hr {
    border: 1px solid #cbcace;
}

/*PAGINATION*/

.SettingsBar {
    position: fixed;
    bottom: 40px;
    background-color: #f2f2f2;
    border: 1px solid #f2f2f2;
    border-radius: 5px;
    padding: 5px;
    margin-left: -10px;
    width: calc(100% - 10px);

    display: flex;
    /*align-items: center;*/
    /*justify-content: center;*/
    text-align: center;
}

#pagination {
    width: 100%;
}

#pagination > .separator_small {
    display: none;
}

.PageNav {
    margin-left: 10px;
}

input#In_CurrentPage {
    width: 30px;
    text-align: center;
    margin-left: 10px;
}

input#In_ItemPerPage {
    width: 30px;
    text-align: center;
    margin-left: 10px;
}

/*ASSET ITEM TILES*/

.Item {
    background-color: #f2f2f2;
    border: 1px solid #f2f2f2;
    border-radius: 5px;
    box-shadow: 0 1px 1px 1px #ddd;
    padding: 2px;
    margin-left: 10px;
    margin-bottom: 10px;
    position: relative;
}

.Item:hover {
    box-shadow: 0 1px 1px 1px #ccc;
}

.CardContainer {
  display: grid;
  grid-template-columns: repeat(auto-fill, 500px);
  justify-content: center;
  gap: 10px;
}

.Item > table > tbody > tr > th {
    vertical-align: top;
    text-align: left;
    font-weight: inherit;
}

/*
.Item > table > tr > td {
    text-align: center;
}*/

.Item > table {
    width:100%;
}

th.Header {
    width: 33%;
}

th.Header > div:nth-child(1){
    font-weight: bold;
    font-size: 1.6em;
}

th.Header > div{
    margin-top: 5px;
}

.Item > .Info {
}

.Item > ul#tags {
    display: block;
    float: left;
    margin-left: -40px;
    margin-bottom: 0px;
}

ul.listing {
    display: block;
    margin-left: -40px;
    margin-top: 5px;
    margin-bottom: 0px;
}

.headListing {
    font-size: 1.3em;
}

th.headListing {
    text-align: center !important;
    width: 50%;
}

ul#links {
    font-size: 11px;
}

ul#links > li {
    margin-right: 5px;
    display: inline-block;
    cursor: pointer;
    text-decoration: underline;
}

ul#restrict > li {
    display: block;
}

/*TAGS*/
li[type] {
    display: inline-block;
    font-style: italic;
    margin-right: 5px;
    margin-bottom: 2px;
    padding-left: 2px;
    padding-right: 2px;

    background: #fafafa;
    border: 1px solid #ddd;
    font-family: monospace;
}

li[type="restrict"] {
    margin-left: 20px;
    border-left: 2px solid #f95252 !important;
}

li[type="retrib"] {
    border-left: 2px solid #22ae1d !important;
}

li[type="tag"] {
    border-left: 2px solid #1d93ae !important;
}

.Info > .Summary {
    margin: 5px 5px 10px 5px;
    font-size: 1.2em;
}

/*HEADER*/
header {
    z-index: 3;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    min-width: 250px;
    overflow: hidden;
    height: 50px;

    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 20px;

    transition: 0.2s;

    box-shadow: 0 0 10px 1px #969696;
    background-color: #0b0719;
    color: #cbcace;
}

header > a > img#logo {
    height: 50px;
    display: inline-block;
    float: left;
}

header > div#title {
    margin-top: 15px;
    margin-left: 20px;
    display: inline-block;
}

header > nav {
    margin-left: 40px;
    display: inline-block;
    vertical-align: bottom;
}

header > nav > a {
    color: #e2e2e2;
    margin-left: 10px;
}

/*FOOTER*/
footer {
    position: fixed;
    left: 0px;
    bottom: 0px;
    width: 100%;
    height: 40px;

    background-color: #0b0719;
    color: #cbcace;
}

footer > nav {
    display: inline-block;
    margin-left: 20px;
    margin-top: 10px;
    font-size: 15px;
}

footer > #contact {
    display: inline-block;
    float: right;
    margin-top: 5px;
    margin-right: 15px;
    text-align: right;
    opacity: .7;
}

footer > #contact > a {
    color: #e2e2e2;
}

footer > nav > a {
    color: #e2e2e2;
}


a {
    text-decoration: none;
    opacity: .8;
}

a:hover {
    opacity: 1;
}

@viewport {
  width: device-width;
  zoom: 1.0;
} 

@media only screen and (max-width: 520px) {
    .CardContainer {
        display: grid;
        grid-template-columns: repeat(auto-fill, 100%);
        justify-content: center;
        gap: 10px;
    }

    .Item {
        background-color: #f2f2f2;
        border: 1px solid #f2f2f2;
        border-radius: 5px;
        box-shadow: 0 1px 1px 1px #ddd;
        padding: 2px;
        margin-left: 0px;
        position: relative;
    }

    header > div#title {
        margin-top: 10px;
    }

    header > nav > #subscribe_extra {
        display: block;
        margin-top: 10px;
    }
    #pagination > .separator {
        display: none;
    }
    #pagination > .separator_small {
        display: inline;
    }

    body {
        padding-bottom: 90px;
    }
}
